BlockDB
  1. Offenders
  • Bans
    • Create
      POST
    • Unban
      POST
  • Offenders
    • Search
      GET
  1. Offenders

Search

Developing
GET
https://api.blockdb.net/v1/public/offenders/search
Last modified:2026-06-12 10:35:09

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200
application/json
Bodyapplication/json

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.blockdb.net/v1/public/offenders/search?steamid64=76561199557676905&ip=176.209.17.155' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - OK
[
    {
        "id": "019e655e-9d51-703a-b6d7-647d902a34f0",
        "steam_ids": [
            {
                "id": "019e655e-9d51-703d-b794-4ed9abc75dd5",
                "name": "zxc_slabq",
                "steamid64": "76561199557676905"
            }
        ],
        "ips": [
            {
                "id": "019e655e-9d51-7041-86d7-d5aa62a3e4a9",
                "value": "176.209.17.155"
            }
        ],
        "bans": [
            {
                "id": "019e655e-9d4f-7977-8aba-297a82eec2ae",
                "project_id": "019e655e-465c-79fb-a2f8-6280cc218ff0",
                "project_name": "WARFAL.RU",
                "reason": "cheat",
                "is_permanent": true,
                "is_active": true,
                "created_at": "2026-05-26T17:39:20.019654Z"
            }
        ]
    }
]
Modified at 2026-06-12 10:35:09
Previous
Unban
Built with